[jira] [Created] (JCR-4149) change to drop SHA-1 requires version change

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Created] (JCR-4149) change to drop SHA-1 requires version change

JIRA jira@apache.org
Julian Reschke created JCR-4149:
-----------------------------------

             Summary: change to drop SHA-1 requires version change
                 Key: JCR-4149
                 URL: https://issues.apache.org/jira/browse/JCR-4149
             Project: Jackrabbit Content Repository
          Issue Type: Bug
          Components: jackrabbit-data
    Affects Versions: 2.15.3
            Reporter: Julian Reschke


The change for JCR-4115 for 2.14 causes a problem report by the bundle plugin:

{noformat}
[INFO] -----------------------------------------------------------------------------------------------------------
[INFO] * org.apache.jackrabbit.core.data.db                 major      2.13.5     2.13.5     3.0.0      Version increase required
[INFO]      > class org.apache.jackrabbit.core.data.db.DbDataStore
[INFO]          > field java.lang.String DIGEST
[INFO]              - access final
[INFO]              - access static
[INFO]              - constant SHA-1
[INFO]      > class org.apache.jackrabbit.core.data.db.DerbyDataStore
[INFO]          > field java.lang.String DIGEST
[INFO]              - access final
[INFO]              - access static
[INFO]              - constant SHA-1
{noformat}

Reverting [r1797148|http://svn.apache.org/r1797148] for now. but we also need to solve this for trunk where the change wasn't noticed before a release.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)